/*
 * @Descripttion: 
 * @version: 
 * @Author: ysh
 * @Date: 2022-09-09 10:32:51
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-09-15 16:08:22
 */
import request from '@/utils/request'
// 查询存储地址列表
export function listStorage(query) {
  return request({
    url: '/file/storage/list',
    method: 'get',
    params: query
  })
}

// 新增存储地址列表
export function addStorage(data) {
  return request({
    url: '/file/storage',
    method: 'post',
    data: data
  })
}
// 修改存储地址列表
export function updateStorage(data) {
  return request({
    url: '/file/storage',
    method: 'put',
    data: data
  })
}

// 删除存储地址列表
export function delStorage(id) {
  return request({
    url: '/file/storage/' + id,
    method: 'delete'
  })
}
